Bug 115014 - programs compiled with -pie segfault
Summary: programs compiled with -pie segfault
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-05 15:36 UTC by Karsten Hopp
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-01 12:10:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2004-02-05 15:36:47 UTC
Description of problem: 
ppc and ppc64 can't compile anything with -pie 
 
Version-Release number of selected component (if applicable): 
gcc-3.3.2-8 
 
How reproducible: 
always 
 
 
Steps to Reproduce: 
cat >test.c <<EOF 
main () 
{ 
} 
EOF 
 
gcc -o test -pie test.c 
./test 
>Segmentation fault 
gcc -o test -fpie -pie test.c 
>Segmentation fault 
gcc -o test -fPIE -pie test.c 
>Segmentation fault 
   
Actual results: 
Segmentation fault 
 
Expected results: 
 
 
Additional info:

Comment 1 Paul Nasrat 2004-03-07 11:53:28 UTC
Tested on ppc32 with:

gcc-3.3.3-2

all above tests work.  In addition a plain rebuild fixed segfaulting
sysklogd for me which I assume is same issue.

triage->close


Note You need to log in before you can comment on or make changes to this bug.